| Home | Libraries | People | FAQ | More

## Class template ostream_time_period_formatter

boost::date_time::ostream_time_period_formatter — Put a time period into a stream using appropriate facets.

## Synopsis

    template<typename time_period_type, typename charT = char>
    class ostream_time_period_formatter {
    public:
      // types
      typedef std::basic_ostream< charT >                ostream_type;
      typedef time_period_type::point_type               time_type;
      typedef ostream_time_formatter< time_type, charT > time_formatter;

      // public static functions
      static void period_put(const time_period_type &, ostream_type &) ;
    };

## Description

### `ostream_time_period_formatter` public static functions

1.     static void period_put(const time_period_type & tp, ostream_type & os) ;

| Copyright © 2001-2005 CrystalClear Software, Inc